## px 1.0.21

=== requirements.txt ===
six == 1.12.0
python-dateutil == 2.7.5

=== debian/changelog ===
px (1.0.21-1) unstable; urgency=medium

  * New upstream relese (1.0.21):
    - Update 000-avoid-version-gen.patch.

 -- Josue Ortega <josue@debian.org>  Thu, 21 Feb 2019 06:06:31 -0600

px (1.0.19-1) unstable; urgency=medium

  * New upstream release (1.0.19):
    - Update 000-avoid-version-gen.patch.
    - Drop dependency on python3-docopt.
  * debian/control: Add python3-six as package dependency.
  * Add patch to avoid install requires generation.
  * Add CI tests.

 -- Josue Ortega <josue@debian.org>  Sat, 09 Feb 2019 06:55:17 -0600

px (1.0.17-1) unstable; urgency=medium

  * New upstream release (1.0.17):
    - Update 000-avoid-version-gen.patch.

 -- Josue Ortega <josue@debian.org>  Sun, 20 Jan 2019 19:19:00 -0600

px (1.0.15-1) unstable; urgency=medium

  * New upstream release. (1.0.15-1):
    - Refresh patch to avoid package version with git and add handling
      of package version to the patch.
  * Bump Standards-Version to 4.3.0, no changes were required.

 -- Josue Ortega <josue@debian.org>  Fri, 28 Dec 2018 15:53:11 -0600

px (1.0.13-2) unstable; urgency=medium

  * debian/control: Change lsof declared relationship to Recommended
    package. (Closes: #915306)

 -- Josue Ortega <josue@debian.org>  Tue, 04 Dec 2018 08:46:30 -0600

px (1.0.13-1) unstable; urgency=medium

  * New upstream release (1.0.13)

 -- Josue Ortega <josue@debian.org>  Thu, 29 Nov 2018 08:54:10 -0600

px (1.0.12-2) unstable; urgency=medium

  * debian/control:
    - Fix typo at package description (Closes: #914394)
    - Add python3-pkg-resources, lsof, procps as dependencies (Closes: #914465)

 -- Josue Ortega <josue@debian.org>  Sun, 25 Nov 2018 17:39:29 -0600

px (1.0.12-1) unstable; urgency=low

  * Initial release. Closes: #906793

 -- Josue Ortega <josue@debian.org>  Sat, 29 Sep 2018 14:48:36 -0600

=== debian/control ===
Source: px
Section: admin
Priority: optional
Maintainer: Josue Ortega <josue@debian.org>
Build-Depends: debhelper (>=11),
 dh-python,
 python3-setuptools,
 python3-all,
 python3-pytest-cov,
 python3-pytest-runner,
 python3-dateutil
Standards-Version: 4.3.0
Homepage: https://github.com/walles/px/
X-Python3-Version: >= 3.6
Vcs-Browser: https://salsa.debian.org/debian/px
Vcs-Git: https://salsa.debian.org/debian/px.git

Package: px
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends},
 python3-dateutil,
 python3-pkg-resources,
 python3-six,
 procps
Recommends: lsof
Description: ps and top for human beings
 px will, unlike ps:
  - Decode Python, Ruby, Node, bash and Java command lines and show you what is
    actually running.
  - Can filter processes by owner ("px root")
  - Can search for processes by command line ("px java", like "pgrep")
  - List processes in a helpful order
 .
 ptop will, unlike top:
  - Decode Python, Ruby, Node, bash and Java command lines and show you
    what's actually running.
  - Has stable output by counting CPU time since ptop started
  - Visualize system load using a histogram rather than just presenting the
    three uptime numbers
  - Visualize system load in relation to the number of logical and physical
    cores in the system

=== debian/tests/control ===
Test-Command: px px
Restrictions: needs-recommends

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/px-$1\.tar\.gz/ \
  https://github.com/walles/px/releases .*/v*(\d\S*)\.tar\.gz

## px 1.0.25

=== debian/changelog ===
px (1.0.25-1) unstable; urgency=medium

  * New upstream release (1.0.25)
    - Update 000-avoid-version-gen.patch.
  * debian/tests/control: Change obsolete Restrictions field for Depends
    field

 -- Josue Ortega <josue@debian.org>  Mon, 19 Aug 2019 12:48:25 -0600

px (1.0.24-1) unstable; urgency=medium

  * New upstream release (1.0.24-1)
  * Update package description (Closes: #921858)
  * Update debhelper compat level to use (= 12)
  * Bump Standards-Version to 4.4.0, No changes required

 -- Josue Ortega <josue@debian.org>  Sat, 20 Jul 2019 22:23:04 -0300

=== debian/control ===
Source: px
Section: admin
Priority: optional
Maintainer: Josue Ortega <josue@debian.org>
Build-Depends: debhelper-compat (= 12),
 dh-python,
 python3-setuptools,
 python3-all,
 python3-pytest-cov,
 python3-pytest-runner,
 python3-dateutil
Standards-Version: 4.4.0
Homepage: https://github.com/walles/px/
X-Python3-Version: >= 3.6
Vcs-Browser: https://salsa.debian.org/debian/px
Vcs-Git: https://salsa.debian.org/debian/px.git

Package: px
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends},
 python3-dateutil,
 python3-pkg-resources,
 python3-six,
 procps
Recommends: lsof
Description: ps and top for human beings
 px parses command lines from Python, Ruby, Node, Perl, Java,
 bash, zh, sh command lines and show you what is actually running.
 px can filter processes by owner ("px root"), search for processes
 by command line ("px python", like "pgrep"), and list processes in
 a helpful order.
 .
 ptop periodically displays a sorted list of system processes. Processes are
 sorted with the highest CPU users at the top.
 ptop is capable of decode Python, Ruby, Perl, Node, Java, bash, sh,
 zsh command  lines and show you what is actually running.
 Shows an stable output by counting CPU time since ptop started.
 ptop provides a system load  histogram rather for presenting the
 three uptime numbers and shows system load in relation to the number
 of logical and physical cores in the system.

## px 1.0.29

=== requirements.txt ===
# These are runtime dependencies, we want them weak to improve
# co-existence with other packages if installed globally using
# pip.
#
# Fox exact versions that we like, check requirements-dev.txt.
#
# If making changes here make sure they don't clash!

# We're only using text_type from six, any version works
six

# 2.6.1 is what we started out using, older is probably fine
# as well but I don't know *how* old. If anybody wants older,
# let me know and we'll see. /johan.walles@gmail.com 2019mar11
python-dateutil >= 2.6.1

=== debian/changelog ===
px (1.0.29-1) unstable; urgency=medium

  * New upstream release (1.0.29):
    + Refresh debian/patches
    + Remove unnecessary patch debian/patches/000-fix-ptop-man.patch

 -- Josue Ortega <josue@debian.org>  Mon, 30 Dec 2019 15:47:04 -0600

px (1.0.27-1) unstable; urgency=medium

  * New upstream release (1.0.27-1):
    + Update 000-avoid-version-gen.patch.
  * debian/control: Add Rules-Required-Root field
  * Bump Standards-Version to 4.4.1. No changes required

 -- Josue Ortega <josue@debian.org>  Thu, 03 Oct 2019 18:24:12 -0600

=== debian/control ===
--- 
+++ 
@@ -9,9 +9,10 @@
  python3-pytest-cov,
  python3-pytest-runner,
  python3-dateutil
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Homepage: https://github.com/walles/px/
 X-Python3-Version: >= 3.6
+Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/px
 Vcs-Git: https://salsa.debian.org/debian/px.git

## px 1.0.32

=== debian/changelog ===
px (1.0.32-1) unstable; urgency=medium

  * New upstream release (1.0.32):
    + Refresh debian/patches

 -- Josue Ortega <josue@debian.org>  Sun, 22 Mar 2020 20:47:16 -0600

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  python3-pytest-cov,
  python3-pytest-runner,
  python3-dateutil
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: https://github.com/walles/px/
 X-Python3-Version: >= 3.6
 Rules-Requires-Root: no

## px 1.4.0

=== requirements.txt ===
# These are runtime dependencies, we want them weak to improve
# co-existence with other packages if installed globally using
# pip.

# NOTE: If you change something here, you must update make-executable-zip.sh as
# well, search for "requirements.txt"!

# We're six simpletons, any version works
six

# 2.6.1 is what we started out using, older is probably fine
# as well but I don't know *how* old. If anybody wants older,
# let me know and we'll see. /johan.walles@gmail.com 2019mar11
python-dateutil >= 2.6.1

=== debian/changelog ===
px (1.4.0-1) unstable; urgency=medium

  * New upstream release (1.4.0)
    + Refresh debian/patches

 -- Josue Ortega <josue@debian.org>  Sun, 24 Jan 2021 17:19:15 -0600

px (1.3.0-1) unstable; urgency=medium

  * New upstream release (1.3.0):
    + Refresh debian/patches
  * Bump Standards-Version to 4.5.1. No changes required
  * debian/watch: Bump file standard version to 4

 -- Josue Ortega <josue@debian.org>  Sun, 17 Jan 2021 19:09:23 -0600

px (1.1.0-1) unstable; urgency=medium

  * New upstream release (1.1.0)
    + Refresh debian/patches

 -- Josue Ortega <josue@debian.org>  Tue, 03 Nov 2020 18:53:28 -0600

px (1.0.38-1) unstable; urgency=medium

  * New upstream release (1.0.38):
    - Refresh debian/patches
  * Bump debhelper-compat version to use ( = 13)
  * debian/patches: Document Forwarded header with not-needed as value

 -- Josue Ortega <josue@debian.org>  Sun, 04 Oct 2020 12:23:55 -0600

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,14 @@
 Section: admin
 Priority: optional
 Maintainer: Josue Ortega <josue@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
  dh-python,
  python3-setuptools,
  python3-all,
  python3-pytest-cov,
  python3-pytest-runner,
  python3-dateutil
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://github.com/walles/px/
 X-Python3-Version: >= 3.6
 Rules-Requires-Root: no

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/px-$1\.tar\.gz/ \
  https://github.com/walles/px/releases .*/v*(\d\S*)\.tar\.gz

## px 1.5.5

=== debian/changelog ===
px (1.5.5-1) unstable; urgency=medium

  * New upstream release (1.5.5):
    + Refresh debian/patches.
  * Bump Standards-Version to 4.6.0. No changes required.

 -- Josue Ortega <josue@debian.org>  Mon, 01 Nov 2021 18:33:14 -0600

px (1.4.1-1) experimental; urgency=medium

  * New upstream release (1.4.1)


 -- Josue Ortega <josue@debian.org>  Tue, 13 Jul 2021 21:51:26 -0600

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  python3-pytest-cov,
  python3-pytest-runner,
  python3-dateutil
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://github.com/walles/px/
 X-Python3-Version: >= 3.6
 Rules-Requires-Root: no

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE = 1

export PYBUILD_NAME=px

%:
	dh $@ --with python3 --buildsystem=pybuild

## px 3.1.0

=== debian/changelog ===
px (3.1.0-1) unstable; urgency=medium

  * New upstream release (3.1.0):
    + Refresh debian/patches.
  * debian/control: Drop Python version declaration.
  * debian/copyright: Update debian/* copyright fields.
  * Bump Standards-Version to 4.6.1. No changes required.

 -- Josue Ortega <josue@debian.org>  Mon, 18 Jul 2022 10:40:05 +0200

=== debian/control ===
--- 
+++ 
@@ -9,9 +9,8 @@
  python3-pytest-cov,
  python3-pytest-runner,
  python3-dateutil
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://github.com/walles/px/
-X-Python3-Version: >= 3.6
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/px
 Vcs-Git: https://salsa.debian.org/debian/px.git

## px 3.3.1

=== requirements.txt ===
--- 
+++ 
@@ -5,7 +5,8 @@
 # NOTE: If you change something here, you must update make-executable-zip.sh as
 # well, search for "requirements.txt"!
 
-# We're six simpletons, any version works
+# NOTE: We don't use six ourselves, but python-dateutil does. Do remove once
+# we're on a Python-3-only python-dateutil!
 six
 
 # 2.6.1 is what we started out using, older is probably fine

=== debian/changelog ===
px (3.3.1-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.

  [ Josue Ortega ]
  * New upstream release (3.3.1):
   + Rerfresh debian/patches.
  * Fix debian/watch.
  * Bump Standards-Version to use 4.6.2. No changes required.
  * debian/copyright: Update copyright years.

 -- Josue Ortega <josue@debian.org>  Tue, 12 Sep 2023 10:52:48 +0530

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  python3-pytest-cov,
  python3-pytest-runner,
  python3-dateutil
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/walles/px/
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/px

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/$1\.tar\.gz/ \
  https://github.com//walles/px/tags .*/v*(\d\S*)\.tar\.gz

## px 3.6.5

=== requirements.txt ===
# These are runtime dependencies, we want them weak to improve
# co-existence with other packages if installed globally using
# pip.

# NOTE: If you change something here, you must update make-executable-zip.sh as
# well, search for "requirements.txt"!

# NOTE: This file intentionally left blank because we don't have any third-party
# runtime dependencies.

=== debian/changelog ===
px (3.6.5-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove dependency on python3-pkg-resources (Closes: #1083567)
  * Remove dependency on python3-six (Closes: #1070181)
  * New upstream release (3.6.5)

  [ Josue Ortaga ]
  * New upstream release (3.6.2)

 -- Alexandre Detiste <tchet@debian.org>  Sat, 21 Dec 2024 16:35:00 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Josue Ortega <josue@debian.org>
 Build-Depends: debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
  python3-setuptools,
  python3-all,
  python3-pytest-cov,
@@ -19,8 +19,6 @@
 Architecture: all
 Depends: ${python3:Depends}, ${misc:Depends},
  python3-dateutil,
- python3-pkg-resources,
- python3-six,
  procps
 Recommends: lsof
 Description: ps and top for human beings

## px 3.6.9

=== debian/changelog ===
px (3.6.9-1) unstable; urgency=medium

  * New upstream release (3.6.9):
    + Update debian/patches/000-avoid-version-gen.patch.
    + Remove debian/patches/remove-install-requires.patch.
  * debian/px.manpaeges: Add missing pxtree manpage.
  * Add debian/patches/000-remove-extraneous-el-call.patch.
  * debian/copyright: Update copyright holders yeaer for debian/* files.
  * Bump Standards-Version to 4.7.2. No changes required.

 -- Josue Ortega <josue@debian.org>  Thu, 27 Mar 2025 07:44:31 -0600

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  python3-pytest-cov,
  python3-pytest-runner,
  python3-dateutil
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://github.com/walles/px/
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/px

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE = 1

export PYBUILD_NAME=px

%:
	dh $@ --buildsystem=pybuild

=== debian/tests/control ===
Test-Command: px px
Depends: px, lsof

## px 3.6.12

=== debian/changelog ===
px (3.6.12-1) experimental; urgency=medium

  * New upstream release (3.6.12):
    + Update debian/patches/000-avoid-version-gen.patch.
  * debian/control: Update long description. (Closes: #1108352)

 -- Josue Ortega <josue@debian.org>  Mon, 14 Jul 2025 16:06:56 +0200

=== debian/control ===
--- 
+++ 
@@ -23,16 +23,16 @@
 Recommends: lsof
 Description: ps and top for human beings
  px parses command lines from Python, Ruby, Node, Perl, Java,
- bash, zh, sh command lines and show you what is actually running.
+ bash, zsh, sh and show you what is actually running.
  px can filter processes by owner ("px root"), search for processes
  by command line ("px python", like "pgrep"), and list processes in
  a helpful order.
  .
  ptop periodically displays a sorted list of system processes. Processes are
  sorted with the highest CPU users at the top.
- ptop is capable of decode Python, Ruby, Perl, Node, Java, bash, sh,
- zsh command  lines and show you what is actually running.
+ ptop is capable of decoding Python, Ruby, Perl, Node, Java, bash, sh,
+ zsh command lines and show you what is actually running.
  Shows an stable output by counting CPU time since ptop started.
- ptop provides a system load  histogram rather for presenting the
+ ptop provides a system load histogram rather for presenting the
  three uptime numbers and shows system load in relation to the number
  of logical and physical cores in the system.

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/$1\.tar\.gz/ \
  https://github.com//walles/px/tags .*/v?(\d\S*)\.tar\.gz
